summaryrefslogtreecommitdiffstats
path: root/newt
diff options
context:
space:
mode:
author Eric Hameleers <alien@slackware.com>2008-01-26 15:55:29 +0000
committer Eric Hameleers <alien@slackware.com>2008-01-26 15:55:29 +0000
commit061ca74c97f8a03fe5d2af879ac03b7453258b4c (patch)
treeeb906f89c04f76a7e950d2011e99d0110c5bdda3 /newt
parent057d48c70ff515be97a252355a2601587e2b3360 (diff)
downloadasb-061ca74c97f8a03fe5d2af879ac03b7453258b4c.tar.gz
asb-061ca74c97f8a03fe5d2af879ac03b7453258b4c.tar.xz
Initial revision
Diffstat (limited to 'newt')
-rwxr-xr-xnewt/build/newt.SlackBuild160
-rw-r--r--newt/build/slack-desc19
2 files changed, 179 insertions, 0 deletions
diff --git a/newt/build/newt.SlackBuild b/newt/build/newt.SlackBuild
new file mode 100755
index 00000000..9e7c81a0
--- /dev/null
+++ b/newt/build/newt.SlackBuild
@@ -0,0 +1,160 @@
+#!/bin/sh
+#
+# -----------------------------------------------------------------------------
+#
+# Slackware SlackBuild script
+# ===========================
+# By: Eric Hameleers <alien@sox.homeip.net>
+# For: newt
+# URL: ftp://download.fedora.redhat.com/pub/fedora/linux/core/2/SRPMS
+# Needs: slang
+# Changelog:
+# 0.51.6-1: 07/Aug/2005 by Eric Hameleers <alien@sox.homeip.net>
+# * Initial build.
+# Newt provides a Python module. This module is built for my
+# current version of Python (you might need to recompile newt).
+#
+# Run 'sh SlackBuild --cleanup' to build a Slackware package.
+# The package (.tgz) plus descriptive .txt file are created in /tmp .
+# Install using 'installpkg'.
+#
+# -----------------------------------------------------------------------------
+
+# --- INIT ---
+# Set initial variables:
+CWD=`pwd`
+if [ "$TMP" = "" ]; then
+ TMP=/tmp
+fi
+
+PRGNAM=newt
+VERSION=0.51.6
+ARCH=${ARCH:-i486}
+BUILD=1
+
+if [ "$ARCH" = "i386" ]; then
+ SLKCFLAGS="-O2 -march=i386 -mcpu=i686"
+elif [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mcpu=i686"
+elif [ "$ARCH" = "s390" ]; then
+ SLKCFLAGS="-O2"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2"
+fi
+
+PKG=$TMP/package-$PRGNAM
+
+if [ ! -d $TMP/tmp-$PRGNAM ]; then
+ mkdir -p $TMP/tmp-$PRGNAM # location to build the source
+fi
+if [ ! -d $PKG ]; then
+ mkdir -p $PKG # place for the package to be built
+fi
+
+
+# --- PACKAGE BUILDING ---
+
+echo "++"
+echo "|| $PRGNAM-$VERSION"
+echo "++"
+
+rm -rf $PKG/*
+
+cd $PKG
+
+# Explode the package framework:
+if [ -f $CWD/_$PRGNAM.tar.gz ]; then
+ explodepkg $CWD/_$PRGNAM.tar.gz
+fi
+
+cd $TMP/tmp-$PRGNAM
+
+
+# --- TARBALL EXTRACTION,PATCH,MODIFY ---
+
+echo "Extracting the program tarball for $PRGNAM..."
+tar -xzvf $CWD/${PRGNAM}-${VERSION}.tar.gz
+
+cd ${PRGNAM}-${VERSION}
+
+chown -R root.root *
+find . -perm 777 -exec chmod 755 {} \;
+
+
+# --- BUILDING ---
+
+echo Building ...
+
+CFLAGS="$SLKCFLAGS" \
+./configure --prefix=/usr \
+ --localstatedir=/var \
+ --sysconfdir=/etc \
+ --with-gpm-support=no \
+ 2>&1 | tee $CWD/configure-${PRGNAM}.log
+make 2>&1 | tee $CWD/make-${PRGNAM}.log
+make shared 2>&1 | tee -a $CWD/make-${PRGNAM}.log
+
+#
+# Install all the needed stuff to the package dir
+#
+# Use installwatch if available:
+which installwatch > /dev/null 2>&1
+if [ $? == 0 ]; then
+ installwatch -o $CWD/install-${PRGNAM}.log make instroot=$PKG install install-sh
+else
+ make instroot=$PKG install install-sh 2>&1 |tee $CWD/install-${PRGNAM}.log
+fi
+
+
+# --- DOCUMENTATION ---
+
+DOCS="CHANGES COPYING"
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a $DOCS \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+chmod -R a-w $PKG/usr/doc/$PRGNAM-$VERSION/*
+
+# Compress the man page(s)
+gzip -9f $PKG/usr/man/*/*
+
+# Strip binaries
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+
+# --- OWNERSHIP, RIGHTS ---
+
+chmod -R o-w $PKG
+chown root:bin $PKG/usr/bin/* $PKG/usr/sbin/* $PKG/bin/* $PKG/sbin/* \
+ $PKG/usr/X11R6/bin/* $PKG/opt/kde/bin/* 2>/dev/null
+
+
+# --- PACKAGE DESCRIPTION ---
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+if [ -f $CWD/doinst.sh ]; then
+ cat $CWD/doinst.sh > $PKG/install/doinst.sh
+fi
+
+
+# --- BUILDING ---
+
+# Build the package:
+cd $PKG
+makepkg --linkadd y --chown n $TMP/${PRGNAM}-${VERSION}-${ARCH}-${BUILD}.tgz \
+ 2>&1 | tee $CWD/makepkg-${PRGNAM}.log
+(cd $TMP && md5sum ${PRGNAM}-${VERSION}-${ARCH}-${BUILD}.tgz > ${PRGNAM}-${VERSION}-${ARCH}-${BUILD}.tgz.md5)
+cat $CWD/slack-desc | grep "^${PRGNAM}" > $TMP/${PRGNAM}-${VERSION}-${ARCH}-${BUILD}.txt
+
+
+# --- CLEANUP ---
+
+# Clean up the extra stuff:
+if [ "$1" = "--cleanup" ]; then
+ rm -rf $TMP/tmp-$PRGNAM
+ rm -rf $PKG
+fi
diff --git a/newt/build/slack-desc b/newt/build/slack-desc
new file mode 100644
index 00000000..2e796d1c
--- /dev/null
+++ b/newt/build/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+newt: newt (semi-graphical interface development kit)
+newt:
+newt: Newt is a programming library for color text mode, widget based user
+newt: interfaces. Newt can be used to add stacked windows, entry widgets,
+newt: checkboxes, radio buttons, labels, plain text fields, scrollbars,
+newt: etc., to text mode user interfaces. This package also contains the
+newt: shared library needed by programs built with newt, as well as a
+newt: /usr/bin/dialog replacement called whiptail. Newt is based on the
+newt: slang library.
+newt:
+newt: newt is a dependancy to PartImage: at http://partimage.org/